
from parser import TagsSemantics as _TagsSemantics

class TagsSemantics(_TagsSemantics):
    def or_expression(self, ast):
        return ('OR', ast[0], ast[2])

    def and_expression(self, ast):
        return ('AND', ast[0], ast[2])

    def not_expression(self, ast):
        return ('NOT', ast[1])

    def parens_expression(self, ast):
        return ('PARENS', ast[1])

    def name(self, ast):
        return ('NAME', str(ast))

    def and_op(self, ast):
        return 'AND'

    def or_op(self, ast):
        return 'OR'

    def not_op(self, ast):
        return 'NOT'
